PREFIX = /usr/local/share
MAJOR = 0
MINOR = 9
REVISION = 0
VER = $(MAJOR).$(MINOR).$(REVISION)

DEST = $(PREFIX)/rec10/tstools

all: 
	cd epgdump;make all
clean:
	cd epgdump;make clean
install: 
	if ! [ -d $(DEST) ]; then mkdir -p $(DEST) ;fi
	mkdir -p $(DEST)
	cd BonTsDemux;cp ./*.* $(DEST)/
	cd jTsSplitter;cp ./*.* $(DEST)/
	cd cfr2tc;cp ./cfr2tc.exe $(DEST)/
	cd DtsEdit;cp ./DtsEdit.exe $(DEST)/
	cd xvfb-run;cp ./xvfb-run $(DEST)/
	cd caption2ass;cp ./Caption2Ass.exe $(DEST)/
	cd caption2ass;cp ./Caption.dll $(DEST)/
	chmod +x $(DEST)/xvfb-run
	cd epgdump;make install
	if ! [ -f ./neroAacEnc ]; then install -m755 /usr/local/bin ;fi
uninstall:
	rm -rf $(DEST)
	if ! [ -f /usr/local/bin/neroAacEnc ]; then rm /usr/local/bin/neroAacEnc ;fi
	cd epgdump;make uninstall
